Name:           python-msal-extensions
Version:        1.3.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Microsoft Authentication Library extensions (MSAL EX) provides a persistence API that can save your data on disk, encrypted on Windows, macOS and Linux. Concurrent data access will be coordinated by a file lock mechanism.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/AzureAD/microsoft-authentication-extensions-for-python/releases
Source:         %{pypi_source msal_extensions}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'msal-extensions' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-msal-extensions
Summary:        %{summary}

%description -n python3-msal-extensions %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-msal-extensions portalocker


%prep
%autosetup -p1 -n msal_extensions-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x portalocker


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-msal-extensions -f %{pyproject_files}


%changelog
%autochangelog